//
//  IsoDateFormatter.swift
//  AppleLibs
//
//  Created by Tobias on 01.04.21.
//

import Foundation

public extension DateFormatter
{
    static let iso8601Full: DateFormatter = {
        let formatter = DateFormatter()
        formatter.dateFormat = "yyyy-MM-dd'T'HH:mm:ss.SSSZZZZZ"
        formatter.calendar = Calendar(identifier: .iso8601)
        formatter.timeZone = TimeZone(secondsFromGMT: 0)
        return formatter
    }()
}
